% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cytof_postProcess.R
\name{cytof_addToFCS}
\alias{cytof_addToFCS}
\title{Add data to the original FCS files}
\usage{
cytof_addToFCS(data, rawFCSdir, origSampNames = NULL, analyzedFCSdir,
  transformed_cols = c("tsne_1", "tsne_2"), cluster_cols = c("cluster"),
  clusterIDs = NULL, specifySampleNames = NULL, inLgclTrans = TRUE)
}
\arguments{
\item{data}{The new data matrix to be added in.}

\item{rawFCSdir}{The directory containing the original fcs files.}

\item{origSampNames}{Vector of original names of samples, if samples were renamed.}

\item{analyzedFCSdir}{The directory to store the new fcs files.}

\item{transformed_cols}{The column name of the dimension transformed data in \code{data}.}

\item{cluster_cols}{The column name of the cluster data in \code{data}.}

\item{clusterIDs}{Table of cell cluster IDs for each clustering method}

\item{specifySampleNames}{Used only if sample names differ from those in raw fcs.}

\item{inLgclTrans}{If \verb{TRUE}, apply the inverse lgcl transformation to the the cluster data before saving}
}
\value{
New fcs files stored under \code{analyzedFCSdir}
}
\description{
Store the new dimension transformed data and cluster data into the exprs 
matrix in new fcs files under \code{analyzedFCSdir}
}
