% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cytof_postProcess.R
\name{cytof_writeResults}
\alias{cytof_writeResults}
\title{Save the cytofkit analysis results}
\usage{
cytof_writeResults(analysis_results, projectName, saveToRData = TRUE,
  saveToFCS = TRUE, saveToFiles = TRUE, resultDir, rawFCSdir,
  inverseLgclTrans = TRUE)
}
\arguments{
\item{analysis_results}{Result data from output of \code{\link{cytofkit}}}

\item{projectName}{A prefix that will be added to the names of result files.}

\item{saveToRData}{Boolean value determines if results object is saved into RData file, for loading back to R and to shiny APP.}

\item{saveToFCS}{Boolean value determines if results are saved back to FCS files, new FCS files will be generated under folder XXX_analyzedFCS.}

\item{saveToFiles}{Boolean value determines if results are parsed and automatically saved to csv files and pdf figures.}

\item{resultDir}{The directory where result files will be generated.}

\item{rawFCSdir}{The directory that contains fcs files to be analysed.}

\item{inverseLgclTrans}{If \verb{TRUE}, inverse logicle transform the cluster cor1 and cor2 channels.}
}
\value{
Save all results in the \code{resultDir}
}
\description{
Save analysis results from cytofkit main function to RData, csv files and PDF files and
add them to a new copy of FCS files.
}
\examples{
d <- system.file('extdata',package='cytofkit')
f <- list.files(d, pattern='.fcs$', full=TRUE)
p <- list.files(d, pattern='.txt$', full=TRUE)
#tr <- cytofkit(fcsFile=f,markers=p,projectName='t',saveResults=FALSE)
#cytof_write_results(tr,projectName = 'test',resultDir=d,rawFCSdir =d)
}
\seealso{
\code{\link{cytofkit}}
}
